<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: StateOfDrawGlyph Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>StateOfDrawGlyph Struct Reference</h1><!-- doxytag: class="StateOfDrawGlyph" -->
<p>
<a href="structStateOfDrawGlyph-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structStateOfDrawGlyph.html#7ccf5689329d308134670cc70202b4aa">StateOfDrawGlyph</a> (std::ostream &amp;os)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structStateOfDrawGlyph.html#4f472b4172a56c8a764620b71c2f8116">os</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">FT_Vector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structStateOfDrawGlyph.html#f77fd29ace972c7b7266d6a1caf2448d">startPt</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structStateOfDrawGlyph.html#b38899c44f69af941ee9f53924fd9559">setStartPt</a> (const FT_Vector pt)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structStateOfDrawGlyph.html#82ff116896931f110ba0206003db80d0">isNewPath</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structStateOfDrawGlyph.html#b06b580413d1be3c584a8239ead15988">setNewPathFalse</a> ()</td></tr>

<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">std::ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structStateOfDrawGlyph.html#b26d9b4b57a210712085abc95c823dca">_os</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">FT_Vector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structStateOfDrawGlyph.html#aedf40c882cbebb681c0393b6a876839">_startPt</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structStateOfDrawGlyph.html#adbddb5e474ab9d29e5a20d400a94076">_isNewPath</a></td></tr>

</table>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="7ccf5689329d308134670cc70202b4aa"></a><!-- doxytag: member="StateOfDrawGlyph::StateOfDrawGlyph" ref="7ccf5689329d308134670cc70202b4aa" args="(std::ostream &amp;os)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">StateOfDrawGlyph::StateOfDrawGlyph           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>os</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="4f472b4172a56c8a764620b71c2f8116"></a><!-- doxytag: member="StateOfDrawGlyph::os" ref="4f472b4172a56c8a764620b71c2f8116" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; StateOfDrawGlyph::os           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="f77fd29ace972c7b7266d6a1caf2448d"></a><!-- doxytag: member="StateOfDrawGlyph::startPt" ref="f77fd29ace972c7b7266d6a1caf2448d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FT_Vector StateOfDrawGlyph::startPt           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b38899c44f69af941ee9f53924fd9559"></a><!-- doxytag: member="StateOfDrawGlyph::setStartPt" ref="b38899c44f69af941ee9f53924fd9559" args="(const FT_Vector pt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StateOfDrawGlyph::setStartPt           </td>
          <td>(</td>
          <td class="paramtype">const FT_Vector&nbsp;</td>
          <td class="paramname"> <em>pt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="82ff116896931f110ba0206003db80d0"></a><!-- doxytag: member="StateOfDrawGlyph::isNewPath" ref="82ff116896931f110ba0206003db80d0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool StateOfDrawGlyph::isNewPath           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b06b580413d1be3c584a8239ead15988"></a><!-- doxytag: member="StateOfDrawGlyph::setNewPathFalse" ref="b06b580413d1be3c584a8239ead15988" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StateOfDrawGlyph::setNewPathFalse           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="b26d9b4b57a210712085abc95c823dca"></a><!-- doxytag: member="StateOfDrawGlyph::_os" ref="b26d9b4b57a210712085abc95c823dca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; <a class="el" href="structStateOfDrawGlyph.html#b26d9b4b57a210712085abc95c823dca">StateOfDrawGlyph::_os</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="aedf40c882cbebb681c0393b6a876839"></a><!-- doxytag: member="StateOfDrawGlyph::_startPt" ref="aedf40c882cbebb681c0393b6a876839" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FT_Vector <a class="el" href="structStateOfDrawGlyph.html#aedf40c882cbebb681c0393b6a876839">StateOfDrawGlyph::_startPt</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="adbddb5e474ab9d29e5a20d400a94076"></a><!-- doxytag: member="StateOfDrawGlyph::_isNewPath" ref="adbddb5e474ab9d29e5a20d400a94076" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structStateOfDrawGlyph.html#adbddb5e474ab9d29e5a20d400a94076">StateOfDrawGlyph::_isNewPath</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="drawGlyph_8cpp.html">drawGlyph.cpp</a></ul>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
